Summary: Converter from rtf to latex2e
Name: rtf2latex2e
Version: 1.0fc1
Release: 1
Group: Utilities/Text
Url: http://www.ctan.org/
Source: rtf2latex2eUnix-%{version}.tar.gz
Source1: rtf2latex2e.sh
Source1: rtf2latex2e.csh
Copyright: (c) Ujwal S. Sathyam and Scott A. Prahl, 1999
Packager: Fabrice Bellet <fabrice@gnu.org>
BuildRoot: /var/tmp/%{name}

%description
This is rtf2latex2e %{version} by Ujwal Sathyam and Scott Prahl. It uses
the RTF reader by Paul DuBois and converts RTF fles into the LaTeX2e
format. Its main features are:

1. detects text style: bold, italic, color, big, small,...
2. reads embedded figures: PICT, WMF, PNG, JPEG,...
3. reads tables: simple to semi-complex
4. equations: reads out Equation Editor equations as pictures
5. symbols: converts most greek and math symbols
6. reads footnotes (not in tables yet)
7. support for use of the fontenc package
8. translates hyperlinks using the hyperref package

%prep
%setup -q -n rtf2latex2eUnix-%{version}

%build
cd Unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix}
sed "s_/usr/local/rtf2latex2e_/usr/lib/rtf2latex2e_" < Makefile > Makefile.new
mv Makefile.new Makefile
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/rtf2latex2e/pref \
	$RPM_BUILD_ROOT/usr/bin/ \
	$RPM_BUILD_ROOT/etc/profile.d/
install -m 0644 pref/* $RPM_BUILD_ROOT/usr/lib/rtf2latex2e/pref/
install -m 0755 rtf2latex2e.bin $RPM_BUILD_ROOT/usr/bin/rtf2latex2e
install -m 0755 $RPM_SOURCE_DIR/rtf2latex2e.sh $RPM_BUILD_ROOT/etc/profile.d/
install -m 0755 $RPM_SOURCE_DIR/rtf2latex2e.csh $RPM_BUILD_ROOT/etc/profile.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README Release-notes.txt doc examples
%dir /usr/lib/rtf2latex2e
%dir /usr/lib/rtf2latex2e/pref
%config /usr/lib/rtf2latex2e/pref/TeX-map
%config /usr/lib/rtf2latex2e/pref/TeX-map.applemac
%config /usr/lib/rtf2latex2e/pref/TeX-map.cp1250
%config /usr/lib/rtf2latex2e/pref/TeX-map.cp1252
%config /usr/lib/rtf2latex2e/pref/TeX-map.default
%config /usr/lib/rtf2latex2e/pref/TeX-map.german
%config /usr/lib/rtf2latex2e/pref/TeX-map.latin1
%config /usr/lib/rtf2latex2e/pref/ansi-sym
%config /usr/lib/rtf2latex2e/pref/applemac.map
%config /usr/lib/rtf2latex2e/pref/cp1250.map
%config /usr/lib/rtf2latex2e/pref/cp1252.map
%config /usr/lib/rtf2latex2e/pref/cp1254.map
%config /usr/lib/rtf2latex2e/pref/cp437.map
%config /usr/lib/rtf2latex2e/pref/cp850.map
%config /usr/lib/rtf2latex2e/pref/mac-sym
%config /usr/lib/rtf2latex2e/pref/pc-sym
%config /usr/lib/rtf2latex2e/pref/pca-sym
%config /usr/lib/rtf2latex2e/pref/r2l-head
%config /usr/lib/rtf2latex2e/pref/r2l-map
%config /usr/lib/rtf2latex2e/pref/r2l-pref
%config /usr/lib/rtf2latex2e/pref/rtf-ctrl
/usr/bin/rtf2latex2e
/etc/profile.d/*

%changelog
* Wed Jun 13 2001 Fabrice Bellet <fabrice@gnu.org>
- Updated to version 1.0fc1.
* Wed Dec 29 1999 Vaclav Ovsik <Vaclav.Ovsik@i.cz>
- first spec file created

